from django.urls import path
from rest_framework.routers import SimpleRouter

from posts.views import PostViewSet, PostByAuthorViewSet, PostEditorViewSet, PostPermissionViewSet

# from posts.views import PostDetail, PostList, PostViewSet

# urlpatterns = [
#     path('<int:pk>/', PostDetail.as_view()),
#     path('', PostList.as_view()),
# ]

router = SimpleRouter()
router.register('by-author', PostByAuthorViewSet, basename='posts-by-author')
router.register('editor', PostEditorViewSet, basename='post-editors')
router.register('perm', PostPermissionViewSet, basename='post-perm')
router.register('', PostViewSet, basename='posts')

urlpatterns = router.urls
