import requests

api_server = 'http://localhost:8000/api/v1'


def main():
    welcome()
    posts = fetch_posts()
    if posts is None:
        error_message()
    show_posts(posts)
    goodbye()


def welcome():
    print('============== Blog TUI =============')
    print('= Because we love the \'80s so much! =')
    print('=====================================\n')


def error_message():
    print('Unable to retrieve posts at the moment. Please, try in a few minutes.')
    exit()


def goodbye():
    print('It was nice to have your here. Have a nice day!\n')


def fetch_posts():
    res = requests.get(url=f'{api_server}/')
    if res.status_code != 200:
        return None
    return res.json()


def show_posts(posts):
    def sep():
        print('-'*60)
    
    fmt = '{:4}\t{:50}'

    print()
    sep()
    print('ALL POSTS FROM THE BLOG')
    sep()
    print(fmt.format('ID', 'TITLE'))
    sep()
    for post in posts:
        print(fmt.format(post['id'], post['title']))
    sep()
    print()


if __name__ == '__main__':
    main()

